> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realtimelca.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete material

> Removes one or more material mappings from a specific building project.

**Method:** `DELETE`  
**URL:** `{{lcabaseUrl}}/Mapping/buildingproject/:buildingprojectid/deletematerial/:materialid`



## OpenAPI

````yaml /api-reference/realtime-lca-openapi.yaml delete /Mapping/buildingproject/{buildingprojectid}/deletematerial/{materialid}
openapi: 3.0.0
info:
  title: Real-Time LCA REST Documentation
  version: 1.0.0
  description: >-
    ### Description 📝


    This collection contains a set of REST API requests for the Real-Time LCA
    (Life Cycle Assessment) service.


    ### Authenticate user 👤🔑


    In the `Auth` folder there's a `POST` request for authenticating the user.


    In this request body you can type in the user RTLCA user credentials
    (username & password) and a succesfull (`200 OK`) response will set the
    collection `BearerToken` variable which is then inherited by all other
    requests.
servers:
  - url: https://api.realtimelca.com/rest/api
    description: REST API.
  - url: https://api.realtimelca.com/epd/api
    description: EPD API.
  - url: https://auth.realtimelca.com/frontegg/identity/resources/auth/v1
    description: Authentication API (Frontegg identity v1).
  - url: https://realtimelca-prod.hasura.app
    description: GraphQL API (Hasura).
security:
  - BearerAuth: []
tags:
  - name: Auth
  - name: User
  - name: Overview
  - name: Project
  - name: Dashboard
  - name: Mapping
  - name: Automapping
  - name: Transport
  - name: Waste
  - name: Inspect
  - name: Report
  - name: Images
  - name: Library
  - name: Datasource
  - name: Owner
  - name: Material
  - name: Constructions
  - name: Enums
paths:
  /Mapping/buildingproject/{buildingprojectid}/deletematerial/{materialid}:
    servers:
      - url: https://api.realtimelca.com/rest/api
    parameters:
      - name: buildingprojectid
        in: path
        required: true
        schema:
          type: string
        example: df1019e5-7167-4b1a-8f0d-3db30489e9fc
      - name: materialid
        in: path
        required: true
        schema:
          type: string
        example: d70b6e31-bd55-49c9-94e2-949d0c018ff3
    delete:
      tags:
        - Project
        - Mapping
      summary: Delete material
      description: >-
        Removes one or more material mappings from a specific building project.


        **Method:** `DELETE`  

        **URL:**
        `{{lcabaseUrl}}/Mapping/buildingproject/:buildingprojectid/deletematerial/:materialid`
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  materialId:
                    type: string
                  includeMapping:
                    type: boolean
                  mappedMaterialId:
                    type: string
                  isAutoMapping:
                    type: boolean
            example:
              - materialId: a24a602a-2788-41bc-be36-75424a429ee6
                includeMapping: true
                mappedMaterialId: 2193032c-16e9-4c8b-8e54-c35a7bbca3f7
                isAutoMapping: false
              - materialId: 521386be-4b36-472d-a91f-ad5afdfa0780
                includeMapping: true
                mappedMaterialId: 2193032c-16e9-4c8b-8e54-c35a7bbca3f7
                isAutoMapping: false
              - materialId: fbb3bef0-d65d-4e62-9b59-35b62a871eae
                includeMapping: true
                mappedMaterialId: 2193032c-16e9-4c8b-8e54-c35a7bbca3f7
                isAutoMapping: false
              - materialId: 18c2337e-a170-4e9a-8368-4808123cecd0
                includeMapping: true
                mappedMaterialId: 2193032c-16e9-4c8b-8e54-c35a7bbca3f7
                isAutoMapping: false
              - materialId: a1b795f2-b76b-47c6-8142-534a3a79bf9c
                includeMapping: true
                mappedMaterialId: 2193032c-16e9-4c8b-8e54-c35a7bbca3f7
                isAutoMapping: false
      responses:
        default:
          description: Response schema not yet documented in the upstream Postman spec.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````